import { ATN, CharStream, DFA, Lexer } from "antlr4";
export default class CypherCmdLexer extends Lexer {
    static readonly PARAM = 1;
    static readonly CLEAR = 2;
    static readonly HISTORY = 3;
    static readonly EXPLAIN = 4;
    static readonly PROFILE = 5;
    static readonly SPACE = 6;
    static readonly SINGLE_LINE_COMMENT = 7;
    static readonly MULTI_LINE_COMMENT = 8;
    static readonly DECIMAL_DOUBLE = 9;
    static readonly UNSIGNED_DECIMAL_INTEGER = 10;
    static readonly UNSIGNED_HEX_INTEGER = 11;
    static readonly UNSIGNED_OCTAL_INTEGER = 12;
    static readonly STRING_LITERAL1 = 13;
    static readonly STRING_LITERAL2 = 14;
    static readonly ESCAPED_SYMBOLIC_NAME = 15;
    static readonly ACCESS = 16;
    static readonly ACTIVE = 17;
    static readonly ADMIN = 18;
    static readonly ADMINISTRATOR = 19;
    static readonly ALIAS = 20;
    static readonly ALIASES = 21;
    static readonly ALL_SHORTEST_PATHS = 22;
    static readonly ALL = 23;
    static readonly ALTER = 24;
    static readonly AND = 25;
    static readonly ANY = 26;
    static readonly ARRAY = 27;
    static readonly AS = 28;
    static readonly ASC = 29;
    static readonly ASCENDING = 30;
    static readonly ASSERT = 31;
    static readonly ASSIGN = 32;
    static readonly AT = 33;
    static readonly AUTH = 34;
    static readonly BAR = 35;
    static readonly BINDINGS = 36;
    static readonly BOOL = 37;
    static readonly BOOLEAN = 38;
    static readonly BOOSTED = 39;
    static readonly BOTH = 40;
    static readonly BREAK = 41;
    static readonly BRIEF = 42;
    static readonly BTREE = 43;
    static readonly BUILT = 44;
    static readonly BY = 45;
    static readonly CALL = 46;
    static readonly CASCADE = 47;
    static readonly CASE = 48;
    static readonly CHANGE = 49;
    static readonly CIDR = 50;
    static readonly COLLECT = 51;
    static readonly COLON = 52;
    static readonly COLONCOLON = 53;
    static readonly COMMA = 54;
    static readonly COMMAND = 55;
    static readonly COMMANDS = 56;
    static readonly COMMIT = 57;
    static readonly COMPOSITE = 58;
    static readonly CONCURRENT = 59;
    static readonly CONSTRAINT = 60;
    static readonly CONSTRAINTS = 61;
    static readonly CONTAINS = 62;
    static readonly COPY = 63;
    static readonly CONTINUE = 64;
    static readonly COUNT = 65;
    static readonly CREATE = 66;
    static readonly CSV = 67;
    static readonly CURRENT = 68;
    static readonly DATA = 69;
    static readonly DATABASE = 70;
    static readonly DATABASES = 71;
    static readonly DATE = 72;
    static readonly DATETIME = 73;
    static readonly DBMS = 74;
    static readonly DEALLOCATE = 75;
    static readonly DEFAULT = 76;
    static readonly DEFINED = 77;
    static readonly DELETE = 78;
    static readonly DENY = 79;
    static readonly DESC = 80;
    static readonly DESCENDING = 81;
    static readonly DESTROY = 82;
    static readonly DETACH = 83;
    static readonly DIFFERENT = 84;
    static readonly DOLLAR = 85;
    static readonly DISTINCT = 86;
    static readonly DIVIDE = 87;
    static readonly DOT = 88;
    static readonly DOTDOT = 89;
    static readonly DOUBLEBAR = 90;
    static readonly DRIVER = 91;
    static readonly DROP = 92;
    static readonly DRYRUN = 93;
    static readonly DUMP = 94;
    static readonly DURATION = 95;
    static readonly EACH = 96;
    static readonly EDGE = 97;
    static readonly ENABLE = 98;
    static readonly ELEMENT = 99;
    static readonly ELEMENTS = 100;
    static readonly ELSE = 101;
    static readonly ENCRYPTED = 102;
    static readonly END = 103;
    static readonly ENDS = 104;
    static readonly EQ = 105;
    static readonly EXECUTABLE = 106;
    static readonly EXECUTE = 107;
    static readonly EXIST = 108;
    static readonly EXISTENCE = 109;
    static readonly EXISTS = 110;
    static readonly ERROR = 111;
    static readonly FAIL = 112;
    static readonly FALSE = 113;
    static readonly FIELDTERMINATOR = 114;
    static readonly FINISH = 115;
    static readonly FLOAT = 116;
    static readonly FOR = 117;
    static readonly FOREACH = 118;
    static readonly FROM = 119;
    static readonly FULLTEXT = 120;
    static readonly FUNCTION = 121;
    static readonly FUNCTIONS = 122;
    static readonly GE = 123;
    static readonly GRANT = 124;
    static readonly GRAPH = 125;
    static readonly GRAPHS = 126;
    static readonly GROUP = 127;
    static readonly GROUPS = 128;
    static readonly GT = 129;
    static readonly HEADERS = 130;
    static readonly HOME = 131;
    static readonly ID = 132;
    static readonly IF = 133;
    static readonly IMPERSONATE = 134;
    static readonly IMMUTABLE = 135;
    static readonly IN = 136;
    static readonly INDEX = 137;
    static readonly INDEXES = 138;
    static readonly INF = 139;
    static readonly INFINITY = 140;
    static readonly INSERT = 141;
    static readonly INT = 142;
    static readonly INTEGER = 143;
    static readonly IS = 144;
    static readonly JOIN = 145;
    static readonly KEY = 146;
    static readonly LABEL = 147;
    static readonly LABELS = 148;
    static readonly AMPERSAND = 149;
    static readonly EXCLAMATION_MARK = 150;
    static readonly LBRACKET = 151;
    static readonly LCURLY = 152;
    static readonly LE = 153;
    static readonly LEADING = 154;
    static readonly LIMITROWS = 155;
    static readonly LIST = 156;
    static readonly LOAD = 157;
    static readonly LOCAL = 158;
    static readonly LOOKUP = 159;
    static readonly LPAREN = 160;
    static readonly LT = 161;
    static readonly MANAGEMENT = 162;
    static readonly MAP = 163;
    static readonly MATCH = 164;
    static readonly MERGE = 165;
    static readonly MINUS = 166;
    static readonly PERCENT = 167;
    static readonly INVALID_NEQ = 168;
    static readonly NEQ = 169;
    static readonly NAME = 170;
    static readonly NAMES = 171;
    static readonly NAN = 172;
    static readonly NFC = 173;
    static readonly NFD = 174;
    static readonly NFKC = 175;
    static readonly NFKD = 176;
    static readonly NEW = 177;
    static readonly NODE = 178;
    static readonly NODETACH = 179;
    static readonly NODES = 180;
    static readonly NONE = 181;
    static readonly NORMALIZE = 182;
    static readonly NORMALIZED = 183;
    static readonly NOT = 184;
    static readonly NOTHING = 185;
    static readonly NOWAIT = 186;
    static readonly NULL = 187;
    static readonly OF = 188;
    static readonly OFFSET = 189;
    static readonly ON = 190;
    static readonly ONLY = 191;
    static readonly OPTIONAL = 192;
    static readonly OPTIONS = 193;
    static readonly OPTION = 194;
    static readonly OR = 195;
    static readonly ORDER = 196;
    static readonly OUTPUT = 197;
    static readonly PASSWORD = 198;
    static readonly PASSWORDS = 199;
    static readonly PATH = 200;
    static readonly PATHS = 201;
    static readonly PERIODIC = 202;
    static readonly PLAINTEXT = 203;
    static readonly PLUS = 204;
    static readonly PLUSEQUAL = 205;
    static readonly POINT = 206;
    static readonly POPULATED = 207;
    static readonly POW = 208;
    static readonly PRIMARY = 209;
    static readonly PRIMARIES = 210;
    static readonly PRIVILEGE = 211;
    static readonly PRIVILEGES = 212;
    static readonly PROCEDURE = 213;
    static readonly PROCEDURES = 214;
    static readonly PROPERTIES = 215;
    static readonly PROPERTY = 216;
    static readonly PROVIDER = 217;
    static readonly PROVIDERS = 218;
    static readonly QUESTION = 219;
    static readonly RANGE = 220;
    static readonly RBRACKET = 221;
    static readonly RCURLY = 222;
    static readonly READ = 223;
    static readonly REALLOCATE = 224;
    static readonly REDUCE = 225;
    static readonly RENAME = 226;
    static readonly REGEQ = 227;
    static readonly REL = 228;
    static readonly RELATIONSHIP = 229;
    static readonly RELATIONSHIPS = 230;
    static readonly REMOVE = 231;
    static readonly REPEATABLE = 232;
    static readonly REPLACE = 233;
    static readonly REPORT = 234;
    static readonly REQUIRE = 235;
    static readonly REQUIRED = 236;
    static readonly RESTRICT = 237;
    static readonly RETURN = 238;
    static readonly REVOKE = 239;
    static readonly ROLE = 240;
    static readonly ROLES = 241;
    static readonly ROW = 242;
    static readonly ROWS = 243;
    static readonly RPAREN = 244;
    static readonly SCAN = 245;
    static readonly SEC = 246;
    static readonly SECOND = 247;
    static readonly SECONDARY = 248;
    static readonly SECONDARIES = 249;
    static readonly SECONDS = 250;
    static readonly SEEK = 251;
    static readonly SEMICOLON = 252;
    static readonly SERVER = 253;
    static readonly SERVERS = 254;
    static readonly SET = 255;
    static readonly SETTING = 256;
    static readonly SETTINGS = 257;
    static readonly SHORTEST_PATH = 258;
    static readonly SHORTEST = 259;
    static readonly SHOW = 260;
    static readonly SIGNED = 261;
    static readonly SINGLE = 262;
    static readonly SKIPROWS = 263;
    static readonly START = 264;
    static readonly STARTS = 265;
    static readonly STATUS = 266;
    static readonly STOP = 267;
    static readonly STRING = 268;
    static readonly SUPPORTED = 269;
    static readonly SUSPENDED = 270;
    static readonly TARGET = 271;
    static readonly TERMINATE = 272;
    static readonly TEXT = 273;
    static readonly THEN = 274;
    static readonly TIME = 275;
    static readonly TIMES = 276;
    static readonly TIMESTAMP = 277;
    static readonly TIMEZONE = 278;
    static readonly TO = 279;
    static readonly TOPOLOGY = 280;
    static readonly TRAILING = 281;
    static readonly TRANSACTION = 282;
    static readonly TRANSACTIONS = 283;
    static readonly TRAVERSE = 284;
    static readonly TRIM = 285;
    static readonly TRUE = 286;
    static readonly TYPE = 287;
    static readonly TYPED = 288;
    static readonly TYPES = 289;
    static readonly UNION = 290;
    static readonly UNIQUE = 291;
    static readonly UNIQUENESS = 292;
    static readonly UNWIND = 293;
    static readonly URL = 294;
    static readonly USE = 295;
    static readonly USER = 296;
    static readonly USERS = 297;
    static readonly USING = 298;
    static readonly VALUE = 299;
    static readonly VARCHAR = 300;
    static readonly VECTOR = 301;
    static readonly VERBOSE = 302;
    static readonly VERTEX = 303;
    static readonly WAIT = 304;
    static readonly WHEN = 305;
    static readonly WHERE = 306;
    static readonly WITH = 307;
    static readonly WITHOUT = 308;
    static readonly WRITE = 309;
    static readonly XOR = 310;
    static readonly YIELD = 311;
    static readonly ZONE = 312;
    static readonly ZONED = 313;
    static readonly IDENTIFIER = 314;
    static readonly ARROW_LINE = 315;
    static readonly ARROW_LEFT_HEAD = 316;
    static readonly ARROW_RIGHT_HEAD = 317;
    static readonly ErrorChar = 318;
    static readonly EOF: number;
    static readonly channelNames: string[];
    static readonly literalNames: (string | null)[];
    static readonly symbolicNames: (string | null)[];
    static readonly modeNames: string[];
    static readonly ruleNames: string[];
    constructor(input: CharStream);
    get grammarFileName(): string;
    get literalNames(): (string | null)[];
    get symbolicNames(): (string | null)[];
    get ruleNames(): string[];
    get serializedATN(): number[];
    get channelNames(): string[];
    get modeNames(): string[];
    static readonly _serializedATN: number[];
    private static __ATN;
    static get _ATN(): ATN;
    static DecisionsToDFA: DFA[];
}
