export declare enum CypherTokenType {
    comment = "comment",
    keyword = "keyword",
    label = "label",
    predicateFunction = "predicateFunction",
    function = "function",
    procedure = "procedure",
    variable = "variable",
    paramDollar = "paramDollar",
    paramValue = "paramValue",
    symbolicName = "symbolicName",
    operator = "operator",
    stringLiteral = "stringLiteral",
    numberLiteral = "numberLiteral",
    booleanLiteral = "booleanLiteral",
    keywordLiteral = "keywordLiteral",
    property = "property",
    namespace = "namespace",
    bracket = "bracket",
    separator = "separator",
    punctuation = "punctuation",
    none = "none",
    consoleCommand = "consoleCommand"
}
export declare const lexerOperators: number[];
export declare const lexerBrackets: number[];
export declare const lexerPunctuation: number[];
export declare const lexerSeparators: number[];
export declare const lexerNumberLiterals: number[];
export declare const lexerStringLiteral: number[];
export declare const lexerGarbage: number[];
export declare const identifier: number[];
export declare const lexerComment: number[];
export declare const lexerKeywords: number[];
export declare const lexerConsoleCmds: number[];
export declare const lexerSymbols: Record<number, CypherTokenType>;
export declare const hasIncorrectSymbolicName: Record<number, string>;
export declare const tokenNames: string[];
export declare const keywordNames: Set<string>;
export declare const operatorSymbols: Set<string>;
